Bug 1679310 - Add aarch64 and s390 to the bcc.spec ExclusiveArch
Summary: Add aarch64 and s390 to the bcc.spec ExclusiveArch
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bcc
Version: rawhide
Hardware: aarch64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Jiri Olsa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-20 21:01 UTC by William Cohen
Modified: 2019-04-06 20:18 UTC (History)
4 users (show)

Fixed In Version: bcc-0.8.0-4.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-06 20:18:52 UTC


Attachments (Terms of Use)

Description William Cohen 2019-02-20 21:01:05 UTC
Could the bcc.spec add aarch64 and s390x to the ExclusiveArch so rpms are available for those architectures?  Avoid making people download the srpm and build it locally for these architectures.

Comment 1 Rafael Fonseca 2019-02-21 00:02:21 UTC
I can after I solve the FTBFS on s390x. Also there is patch upstream needed for aarch64.
In case you managed to build on s390x, did you make any local changes?

Comment 2 William Cohen 2019-02-21 00:35:23 UTC
I haven't built the s390x version of bcc recently.  I noticed that there were bcc-0.7.0 rpms for s390x in RHEL8.  I assumed that it has been buildable on s390x, but did not confirmed it for f29.  Is there a scratch build that you can point at where the s390x build failed?

For aarch64 I downloaded the bcc-0.8.0-1.fc29.src.rpm from https://koji.fedoraproject.org/koji/buildinfo?buildID=1180416 and built it locally. It built and installed. The simple smoke tests I did worked on the fedora 29 machine.

Comment 3 Rafael Fonseca 2019-02-21 00:54:07 UTC
(In reply to William Cohen from comment #2)
> I haven't built the s390x version of bcc recently.  I noticed that there
> were bcc-0.7.0 rpms for s390x in RHEL8.  I assumed that it has been
> buildable on s390x, but did not confirmed it for f29.  Is there a scratch
> build that you can point at where the s390x build failed?

It's not too bad, it's failing when building the tests: https://kojipkgs.fedoraproject.org//work/tasks/1889/32931889/build.log

> For aarch64 I downloaded the bcc-0.8.0-1.fc29.src.rpm from
> https://koji.fedoraproject.org/koji/buildinfo?buildID=1180416 and built it
> locally. It built and installed. The simple smoke tests I did worked on the
> fedora 29 machine.

This is the commit https://github.com/iovisor/bcc/commit/bc0d472ec9d741a061e9ae5b0a7a4053a4d9125a

Comment 4 Rafael Fonseca 2019-03-01 16:38:55 UTC
I've added aarch64 support in rawhide.

s390x will come later when I'm able to get a machine and investigate why it's FTBFS.

Comment 5 Fedora Update System 2019-04-01 11:53:14 UTC
bcc-0.8.0-4.fc30 bpftrace-0.9-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-9f3cae42e5

Comment 6 Fedora Update System 2019-04-02 02:29:54 UTC
bcc-0.8.0-4.fc30, bpftrace-0.9-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-9f3cae42e5

Comment 7 Fedora Update System 2019-04-06 20:18:52 UTC
bcc-0.8.0-4.fc30, bpftrace-0.9-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.